Create scm connection
POST/v1/api/scm/connections
Body parameters
Responses
| Parameter | Type | Description |
|---|---|---|
api_url | string | Base URL for HTTP APIs for self-hosted versions if different from base URL |
base_url | string | Base URL for Git clones for self-hosted versions |
default | boolean | Whether this is the default SCM connection |
github | object | Github App authentication configuration |
namerequired | string | The name of the SCM connection |
signing_private_key | string | A private key used for signing commits |
token | string | The access token for authentication |
typerequired | string | — |
username | string | The username for authentication |
Response samples
200
{
"api_url": "string",
"base_url": "string",
"default": false,
"github": {
"app_id": "string",
"installation_id": "string"
},
"id": "string",
"inserted_at": "string",
"name": "string",
"type": "github",
"updated_at": "string",
"username": "string"
}